Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gwtext.client.state
Class CookieProviderConfig

    java.lang.Object
      com.gwtext.client.core.JsObject
          com.gwtext.client.core.BaseConfig
              com.gwtext.client.state.CookieProviderConfig

    public class CookieProviderConfig

extends BaseConfig

CookieProvider configuration.

Field Summary

Fields inherited from class com.gwtext.client.core.JsObject
`jsObj`

Constructor Summary
`CookieProviderConfig()`

Method Summary
`void` | `setDomain(java.lang.String domain)` The domain to save the cookie for.
`void` | `setExpires(int days)` The cookie expiration date (defaults to 7 days from now).
`void` | `setPath(java.lang.String path)` The path for which the cookie is active (defaults to root '/' which makes it active for all pages in the site).
`void` | `setSecure(boolean secure)` True if the site is using SSL (defaults to false).

Methods inherited from class com.gwtext.client.core.JsObject
`getJsObj, getProperties, isCreated, setJsObj`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CookieProviderConfig

    public CookieProviderConfig()

Method Detail

### setPath

    public void setPath(java.lang.String path)

  The path for which the cookie is active (defaults to root '/' which makes it active for all pages in the site).

  Parameters:
    `path` - the path

### setExpires

    public void setExpires(int days)

  The cookie expiration date (defaults to 7 days from now).

  Parameters:
    `days` - number of days

### setDomain

    public void setDomain(java.lang.String domain)

  The domain to save the cookie for. Note that you cannot specify a different domain than your page is on, but you can specify a sub-domain, or simply the domain itself like 'extjs.com' to include all sub-domains if you need to access cookies across different sub-domains (defaults to null which uses the same domain the page is running on including the 'www' like 'www.extjs.com')

  Parameters:
    `domain` - the domain

### setSecure

    public void setSecure(boolean secure)

  True if the site is using SSL (defaults to false).

  Parameters:
    `secure` - true if using SSL

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD